osl::DirectionTraitsGen< DL > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =1
static const int | blackDy =1
static const bool | canPromoteTo =false
static const Direction | altDir =UR
static const Direction | longDir =LONG_DL
static const Direction | primDir =UR
static const int | ptypeMask

## Detailed Description

Definition at line 76 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< DL >::altDir =UR

static

Definition at line 80 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< DL >::blackDx =1

static

Definition at line 77 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< DL >::blackDy =1

static

Definition at line 78 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< DL >::canPromoteTo =false

static

Definition at line 79 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< DL >::longDir =LONG_DL

static

Definition at line 81 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< DL >::primDir =UR

static

Definition at line 82 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< DL >::ptypeMask

static

Initial value:
=
(1<<PBISHOP)|(1<<PROOK)|(1<<KING)|(1<<SILVER)|(1<<BISHOP)
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PROOK
@ PROOK
Definition basic_type.h:92
osl::KING
@ KING
Definition basic_type.h:93
osl::SILVER
@ SILVER
Definition basic_type.h:98
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91

Definition at line 83 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h